Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgReader Class Reference
[MgReader]

Provides a forward-only, read-only iterator for reading data. You must call ReadNext before you can access any data. This is a base class for MgDataReader, MgFeatureReader, and MgSqlDataReader. More...

Inherits MgSerializable.

Inherited by MgDataReader, MgFeatureReader, and MgSqlDataReader.

List of all members.

## Public Member Functions
virtual void | Close ()=0
| Closes the object, freeing any resources it may be holding.
virtual MgByteReader * | GetBLOB (CREFSTRING propertyName)=0
| Gets the BLOB value of the specified property.
virtual bool | GetBoolean (CREFSTRING propertyName)=0
| Gets the Boolean value of the specified property.
virtual BYTE | GetByte (CREFSTRING propertyName)=0
| Gets the Byte value of the specified property.
virtual MgByteReader * | GetCLOB (CREFSTRING propertyName)=0
| Gets the CLOB value of the specified property.
virtual MgDateTime * | GetDateTime (CREFSTRING propertyName)=0
| Gets the MgDateTime value of the specified property.
virtual double | GetDouble (CREFSTRING propertyName)=0
| Gets the Double value of the specified property.
virtual MgByteReader * | GetGeometry (CREFSTRING propertyName)=0
| Gets the Geometry for the specified property.
virtual INT16 | GetInt16 (CREFSTRING propertyName)=0
| Gets the 16 bit integer value of the specified property.
virtual INT32 | GetInt32 (CREFSTRING propertyName)=0
| Gets the 32 bit integer value of the specified property.
virtual INT64 | GetInt64 (CREFSTRING propertyName)=0
| Gets the 64 bit integer value of the specified property.
virtual INT32 | GetPropertyCount ()=0
| Gets the number of properties in the feature currently being read.
virtual STRING | GetPropertyName (INT32 index)=0
| Gets the name of the property at the given ordinal position.
virtual INT32 | GetPropertyType (CREFSTRING propertyName)=0
| Gets the type of the property with the specified name. See MgPropertyType for the list of possible values.
virtual MgRaster * | GetRaster (CREFSTRING propertyName)=0
| Gets the raster object of the specified property.
virtual INT32 | GetReaderType ()=0
| Get the type of this reader. See MgReaderType for a list of the possible values.
virtual float | GetSingle (CREFSTRING propertyName)=0
| Gets the Single value of the specified property.
virtual STRING | GetString (CREFSTRING propertyName)=0
| Gets the string value of the specified property.
virtual bool | IsNull (CREFSTRING propertyName)=0
| Determines whether the value of the specified property is null.
virtual bool | ReadNext ()=0
| Advances the reader to the next item and determines whether there is another object to read.

## Detailed Description

Provides a forward-only, read-only iterator for reading data. You must call ReadNext before you can access any data. This is a base class for MgDataReader, MgFeatureReader, and MgSqlDataReader.

Comments or suggestions? Send us feedback.